## texstudio 4.7.2%2Bds

=== src/CMakeLists.txt ===
set(INC_DIRECTORIES
    ${INC_DIRECTORIES}
	${CMAKE_CURRENT_SOURCE_DIR}
	CACHE INTERNAL "Additional include directories" FORCE
)

set(HEADER_FILES ${HEADER_FILES}
    ${CMAKE_CURRENT_SOURCE_DIR}/aboutdialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/arraydialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/bibtexdialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/bibtexparser.h
    ${CMAKE_CURRENT_SOURCE_DIR}/bibtexreader.h
    ${CMAKE_CURRENT_SOURCE_DIR}/bidiextender.h
    ${CMAKE_CURRENT_SOURCE_DIR}/bookmarks.h
    ${CMAKE_CURRENT_SOURCE_DIR}/buildmanager.h
    ${CMAKE_CURRENT_SOURCE_DIR}/cleandialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/codesnippet.h
    ${CMAKE_CURRENT_SOURCE_DIR}/configdialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/configmanager.h
    ${CMAKE_CURRENT_SOURCE_DIR}/configmanagerinterface.h
    ${CMAKE_CURRENT_SOURCE_DIR}/cursorhistory.h
    ${CMAKE_CURRENT_SOURCE_DIR}/cursorposition.h
    ${CMAKE_CURRENT_SOURCE_DIR}/dblclickmenubar.h
    ${CMAKE_CURRENT_SOURCE_DIR}/diff/diff_match_patch.h
    ${CMAKE_CURRENT_SOURCE_DIR}/diffoperations.h
    ${CMAKE_CURRENT_SOURCE_DIR}/directoryreader.h
    ${CMAKE_CURRENT_SOURCE_DIR}/editors.h
    ${CMAKE_CURRENT_SOURCE_DIR}/encoding.h
    ${CMAKE_CURRENT_SOURCE_DIR}/encodingdialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/execprogram.h
    ${CMAKE_CURRENT_SOURCE_DIR}/filechooser.h
    ${CMAKE_CURRENT_SOURCE_DIR}/filedialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/fileselector.h
    ${CMAKE_CURRENT_SOURCE_DIR}/findindirs.h
    ${CMAKE_CURRENT_SOURCE_DIR}/flowlayout.h
    ${CMAKE_CURRENT_SOURCE_DIR}/git.h
    ${CMAKE_CURRENT_SOURCE_DIR}/grammarcheck.h
    ${CMAKE_CURRENT_SOURCE_DIR}/grammarcheck_config.h
    ${CMAKE_CURRENT_SOURCE_DIR}/help.h
    ${CMAKE_CURRENT_SOURCE_DIR}/insertgraphics.h
    ${CMAKE_CURRENT_SOURCE_DIR}/insertgraphics_config.h
    ${CMAKE_CURRENT_SOURCE_DIR}/kpathseaParser.h
    ${CMAKE_CURRENT_SOURCE_DIR}/latexcompleter.h
    ${CMAKE_CURRENT_SOURCE_DIR}/latexcompleter_config.h
    ${CMAKE_CURRENT_SOURCE_DIR}/latexcompleter_p.h
    ${CMAKE_CURRENT_SOURCE_DIR}/latexdocument.h
    ${CMAKE_CURRENT_SOURCE_DIR}/latexeditorview.h
    ${CMAKE_CURRENT_SOURCE_DIR}/latexeditorview_config.h
    ${CMAKE_CURRENT_SOURCE_DIR}/latexlog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/latexlogwidget.h
    ${CMAKE_CURRENT_SOURCE_DIR}/latexoutputfilter.h
    ${CMAKE_CURRENT_SOURCE_DIR}/latexpackage.h
    ${CMAKE_CURRENT_SOURCE_DIR}/latexrepository.h
    ${CMAKE_CURRENT_SOURCE_DIR}/latexstructure.h
    ${CMAKE_CURRENT_SOURCE_DIR}/latexstyleparser.h
    ${CMAKE_CURRENT_SOURCE_DIR}/letterdialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/libqmarkedscrollbar/src/markedscrollbar.h
    ${CMAKE_CURRENT_SOURCE_DIR}/logeditor.h
    ${CMAKE_CURRENT_SOURCE_DIR}/loghighlighter.h
    ${CMAKE_CURRENT_SOURCE_DIR}/maketemplatedialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/manhattanstyle.h
    ${CMAKE_CURRENT_SOURCE_DIR}/mathassistant.h
    ${CMAKE_CURRENT_SOURCE_DIR}/minisplitter.h
    ${CMAKE_CURRENT_SOURCE_DIR}/modifiedQObject.h
    ${CMAKE_CURRENT_SOURCE_DIR}/mostQtHeaders.h
    ${CMAKE_CURRENT_SOURCE_DIR}/pdfsplittool.h
    ${CMAKE_CURRENT_SOURCE_DIR}/qmetautils.h
    ${CMAKE_CURRENT_SOURCE_DIR}/quickbeamerdialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/quickdocumentdialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/randomtextgenerator.h
    ${CMAKE_CURRENT_SOURCE_DIR}/scriptengine.h
    ${CMAKE_CURRENT_SOURCE_DIR}/searchquery.h
    ${CMAKE_CURRENT_SOURCE_DIR}/searchresultmodel.h
    ${CMAKE_CURRENT_SOURCE_DIR}/searchresultwidget.h
    ${CMAKE_CURRENT_SOURCE_DIR}/session.h
    ${CMAKE_CURRENT_SOURCE_DIR}/sessionlist.h
    ${CMAKE_CURRENT_SOURCE_DIR}/smallUsefulFunctions.h
    ${CMAKE_CURRENT_SOURCE_DIR}/spellerdialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/spellerutility.h
    ${CMAKE_CURRENT_SOURCE_DIR}/styleanimator.h
    ${CMAKE_CURRENT_SOURCE_DIR}/stylehelper.h
    ${CMAKE_CURRENT_SOURCE_DIR}/svn.h
    ${CMAKE_CURRENT_SOURCE_DIR}/syntaxcheck.h
    ${CMAKE_CURRENT_SOURCE_DIR}/tabbingdialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/tabdialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/tablemanipulation.h
    ${CMAKE_CURRENT_SOURCE_DIR}/templatemanager.h
    ${CMAKE_CURRENT_SOURCE_DIR}/templatemanager_p.h
    ${CMAKE_CURRENT_SOURCE_DIR}/templateselector.h
    ${CMAKE_CURRENT_SOURCE_DIR}/texdocdialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/texstudio.h
    ${CMAKE_CURRENT_SOURCE_DIR}/textanalysis.h
    ${CMAKE_CURRENT_SOURCE_DIR}/thesaurusdialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/titledpanel.h
    ${CMAKE_CURRENT_SOURCE_DIR}/toolwidgets.h
    ${CMAKE_CURRENT_SOURCE_DIR}/txstabwidget.h
    ${CMAKE_CURRENT_SOURCE_DIR}/unicodeinsertion.h
    ${CMAKE_CURRENT_SOURCE_DIR}/universalinputdialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/unixutils.h
    ${CMAKE_CURRENT_SOURCE_DIR}/updatechecker.h
    ${CMAKE_CURRENT_SOURCE_DIR}/usermacro.h
    ${CMAKE_CURRENT_SOURCE_DIR}/usermenudialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/userquickdialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/utilsSystem.h
    ${CMAKE_CURRENT_SOURCE_DIR}/utilsUI.h
    ${CMAKE_CURRENT_SOURCE_DIR}/utilsVersion.h
    ${CMAKE_CURRENT_SOURCE_DIR}/webpublishdialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/webpublishdialog_config.h
    ${CMAKE_CURRENT_SOURCE_DIR}/xmltagslistwidget.h
    ${CMAKE_CURRENT_SOURCE_DIR}/filedialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/macrobrowserui.h
	CACHE INTERNAL "Header files" FORCE
)

set(SOURCE_FILES ${SOURCE_FILES}
    ${CMAKE_CURRENT_SOURCE_DIR}/aboutdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/additionaltranslations.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/arraydialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/bibtexdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/bibtexparser.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/bibtexreader.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/bidiextender.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/bookmarks.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/buildmanager.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/cleandialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/codesnippet.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/configdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/configmanager.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/cursorhistory.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/cursorposition.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/dblclickmenubar.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/diff/diff_match_patch.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/diffoperations.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/directoryreader.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/editors.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/encoding.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/encodingdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/execprogram.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/filechooser.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/filedialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/fileselector.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/findindirs.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/flowlayout.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/git.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/grammarcheck.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/help.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/insertgraphics.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/kpathseaParser.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/latexcompleter.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/latexdocument.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/latexeditorview.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/latexlog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/latexlogwidget.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/latexoutputfilter.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/latexpackage.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/latexrepository.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/latexstructure.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/latexstyleparser.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/letterdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/libqmarkedscrollbar/src/markedscrollbar.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/logeditor.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/loghighlighter.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/main.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/maketemplatedialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/manhattanstyle.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/mathassistant.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/minisplitter.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/pdfsplittool.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/qmetautils.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/quickbeamerdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/quickdocumentdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/randomtextgenerator.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/scriptengine.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/searchquery.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/searchresultmodel.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/searchresultwidget.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/session.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/sessionlist.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/smallUsefulFunctions.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/spellerdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/spellerutility.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/styleanimator.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/stylehelper.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/svn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/syntaxcheck.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/tabbingdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/tabdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/tablemanipulation.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/templatemanager.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/templatemanager_p.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/templateselector.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/texdocdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/texstudio.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/textanalysis.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/thesaurusdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/titledpanel.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/toolwidgets.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/txstabwidget.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/unicodeinsertion.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/universalinputdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/unixutils.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/updatechecker.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/usermacro.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/usermenudialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/userquickdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/utilsSystem.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/utilsUI.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/utilsVersion.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/webpublishdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/xmltagslistwidget.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/filedialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/macrobrowserui.cpp
	${CMAKE_BINARY_DIR}/git_revision.cpp
	CACHE INTERNAL "Source files" FORCE
)

set(FORM_FILES ${FORM_FILES}
    ${CMAKE_CURRENT_SOURCE_DIR}/aboutdialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/arraydialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/bibtexdialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/cleandialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/configdialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/encodingdialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/filechooser.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/insertgraphics.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/letterdialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/maketemplatedialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/pdfsplittool.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/quickbeamerdialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/quickdocumentdialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/randomtextgenerator.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/spellerdialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/tabbingdialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/tabdialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/templateselector.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/texdocdialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/textanalysis.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/usermenudialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/userquickdialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/webpublishdialog.ui
	CACHE INTERNAL "Source files" FORCE
)

=== debian/changelog ===
texstudio (4.7.2+ds-2deepin1) unstable; urgency=medium

  * No source changed, just rebuild

 -- Cryolitia <liziyao@uniontech.com>  Mon, 28 Apr 2025 10:25:15 +0800

texstudio (4.7.2+ds-2) unstable; urgency=medium

  * Improving version handling for Built-Using field (Closes: #1063609).

 -- Tom Jampen <tom@cryptography.ch>  Sat, 10 Feb 2024 11:07:30 +0100

texstudio (4.7.2+ds-1) unstable; urgency=medium

  * Merging upstream version 4.7.2+ds (Closes: #1062084).
  * Updating year in copyright file.
  * Updating excluded files in copyright file.
  * Adding new upstream files images-ng/colibre/* to copyright file.
  * Fixing path to src/pdfviewer/synctex/* in copyright file.
  * Updating to standards version 4.6.2, no changes needed.
  * Mentioning new translation (de_CH) in control file.
  * Updating build dependencies as upstream changed the build system from
    qmake to cmake.
  * Updating build dependencies as upstream switched from phonon to
    qtmultimedia.
  * Improving description in control file.
  * Declaring Rules-Requires-Root: no in control file.
  * Removing no longer needed configure flag for detecting system
    hunspell.
  * Removing no longer needed configure flag for detecting system quazip.
  * Removing no longer needed configure flag for enabling the internal
    terminal.
  * Removing no longer needed configure flag for disabling internal tests.
  * Activating qtmultimedia instead of phonon with configure flag.
  * Updating configure flag for deactivating the internal crash handler.
  * Updating path for icon installating in rules file.
  * Removing no longer needed override for dh_compress.
  * No longer generating and installing a CREDITS file.
  * Removing no longer needed build dependency on adwaita-qt.
  * Removing no longer needed adwaita-qt export in rules.
  * Switching from obsolete pkg-config to pkgconf.
  * Switching from libquazip5-dev to libquazip1-qt5-dev.
  * Updating changelog filename and path in rules file.
  * Removing new CHANGELOG.md file from /usr/share/texstudio in rules.
  * Removing no longer working workaround to set Debian revision in about
    dialog from rules file.
  * Exporting DEB_VERSION in rules for use in about dialog.
  * Regenerating 01-fix-desktop.patch.
  * Updating 02-cleanup-appstream.patch.
  * Updating 03-about-dialog.patch.
  * Updating 04-disable-auto-update.patch.
  * Removing no longer needed 05-removed-upstream-files.patch for old
    build system.
  * Removing no longer needed 06-adwaita-qt.patch for old build system.
  * Adding 05-adwaita-qt.patch in order to avoid building with removed
    internal adwaita-qt.
  * Adding 06-usr-prefix.patch in order to define the correct PREFIX for
    Debian.
  * Adding 07-privacy-breach.patch in order to fix privacy breach in
    latex2e html documentation.
  * Renumbering patches to four leading digits.
  * Removing incorrect lintian override for texstudio-doc.
  * Adding lintian override for latex2e.html as no source is missing.
  * Removing doc-base files.
  * Adding build dependencies for new upstream sphinx documentation.
  * Adding dh_auto_build override for building new upstream sphinx
    documentation.
  * Installing new html documentation.
  * Building with dh_sphinxdoc.
  * Adding ${sphinxdoc:Depends} for texstudio-doc in control file.
  * Overriding dh_spinxdoc in order to exclude files.
  * Adding Built-Using field for texstudio-doc using ${sphinxdoc:Built-
    Using} variable.
  * Adding furo as a dependency for texstudio-doc.
  * Symlinking static documentation files from furo.
  * Adding python3-sphinx-inline-tabs as a dependency for texstudio-doc.
  * Symlinking static documentation files from python3-sphinx-inline-tabs.
  * Adding python3-sphinx-design to Built-Using field.
  * Adding python3-pygments to Built-Using field.
  * Removing unused static documentation files.
  * Rebuilding upstream tarball without:
    - conflicting debian directory
    - conflicting .gitattributes file
    - conflicting .gitignore file
    - unused .github directory
    - unused src/adwaita-qt directory
    - unused src/hunspell directory
    - unused src/quazip directory
    - unused qt translations
    - unused travis-ci directory
    - unused dictionary and thesaurus files
    - unused utilities/FileAssociation.nsh file
    - unused utilities/installscript.qs file
    - unused utilities/manual/build directory
    - unused utilities/manual/make.bat file
    - unused utilities/qxs/doc directory
    - unused utilities/texstudio*.nsi files
    - unused utilities/TexTablet directory
    - unused poppler-data directory
    - obsolete usermanual files

 -- Tom Jampen <tom@cryptography.ch>  Wed, 07 Feb 2024 15:09:56 +0100

texstudio (4.3.1+ds-3) unstable; urgency=medium

  * Adding src/git_revision.cpp to debian/clean (Closes: #1047194).

 -- Tom Jampen <tom@cryptography.ch>  Mon, 04 Sep 2023 19:20:53 +0200

=== debian/control ===
Source: texstudio
Section: editors
Priority: optional
Maintainer: Tom Jampen <tom@cryptography.ch>
Build-Depends:
 cmake, debhelper-compat (= 13), furo (>= 2023.07.26),
 libhunspell-dev (>= 1.5.1), libpoppler-cpp-dev, libpoppler-qt5-dev,
 libqt5svg5-dev, libquazip1-qt5-dev, libqtermwidget5-1-dev, pkgconf,
 python3-myst-parser, python3-sphinx, python3-sphinx-design,
 python3-sphinx-inline-tabs, python3-sphinxext-opengraph, qtdeclarative5-dev,
 qtmultimedia5-dev, qtscript5-dev, qttools5-dev, zlib1g-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://texstudio.org/

Package: texstudio
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libqt5svg5
Recommends:
 adwaita-qt, texlive-base, texlive-latex-base, texlive-latex-recommended,
 texstudio-doc, texstudio-l10n
Suggests:
 hunspell-dictionary, mythes-thesaurus, texlive-fonts-recommended,
 texlive-latex-extra
Description: fully featured LaTeX editor
 TeXstudio is an integrated writing environment for creating LaTeX documents.
 The software aims to simplify and enhance the LaTeX writing process, providing
 users with a range of features, including:
 .
  - Advanced syntax highlighting
  - Live reference checking
  - An integrated PDF viewer
  - Live inline preview
  - LaTeX command completion and syntax checking
  - Local and global structure view
  - Citations checking and completion
  - Live grammar checking
  - Spellchecking

Package: texstudio-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${sphinxdoc:Depends}, furo, python3-sphinx-inline-tabs
Replaces: texstudio (<< 2.7.0+debian-2)
Breaks: texstudio (<< 2.7.0+debian-2)
Built-Using: ${sphinxdoc:Built-Using}, ${built:Using}
Description: fully featured LaTeX editor (doc)
 TeXstudio is an integrated writing environment for creating LaTeX documents.
 The software aims to simplify and enhance the LaTeX writing process, providing
 users with a range of features, including:
 .
  - Advanced syntax highlighting
  - Live reference checking
  - An integrated PDF viewer
  - Live inline preview
  - LaTeX command completion and syntax checking
  - Local and global structure view
  - Citations checking and completion
  - Live grammar checking
  - Spellchecking
 .
 This package contains the html documentation and the LaTeX templates.

Package: texstudio-l10n
Section: localization
Architecture: all
Depends: ${misc:Depends}, texstudio (>= ${source:Version})
Replaces: texstudio (<< 2.7.0+debian-2)
Breaks: texstudio (<< 2.7.0+debian-2)
Description: fully featured LaTeX editor (localization)
 TeXstudio is an integrated writing environment for creating LaTeX documents.
 The software aims to simplify and enhance the LaTeX writing process, providing
 users with a range of features, including:
 .
  - Advanced syntax highlighting
  - Live reference checking
  - An integrated PDF viewer
  - Live inline preview
  - LaTeX command completion and syntax checking
  - Local and global structure view
  - Citations checking and completion
  - Live grammar checking
  - Spellchecking
 .
 This package contains the following translations: ar, br, ca, cs, de, de_CH,
 el, es, fa, fr, hu, id_ID, ie, it, ja, ko, ko_KR, nb_NO, nl, pl, pt, pt_BR,
 ru, ru_RU, si, sk, sv, tr_TR, ug, uk, vi, zh_CN.

## texstudio 4.7.2+ds

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0)

project(TeXstudio VERSION 4.7.2 LANGUAGES C CXX)
SET(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})
set(CMAKE_DEBUG_POSTFIX "d")
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_CXX_STANDARD 17)


list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

find_package(GitInfo)
if(GIT_FOUND AND EXISTS "${PROJECT_SOURCE_DIR}/.git")
	git_wc_info(${PROJECT_SOURCE_DIR} VARPREFIX)
	add_definitions(-DTEXSTUDIO_VERSION="${VARPREFIX_WC_LATEST_TAG_LONG}")
	message(STATUS "The current git hash is ${VARPREFIX_WC_REVISION_HASH}")
	message(STATUS "The current git describe is ${VARPREFIX_WC_LATEST_TAG_LONG}")
else()
	add_definitions(-DTEXSTUDIO_VERSION="${CMAKE_PROJECT_VERSION}")
	message(STATUS "No git present.")
    unset(GIT_FOUND)
	set(VARPREFIX_WC_LATEST_TAG_LONG "${CMAKE_PROJECT_VERSION}+0+0")
endif()
include(cmake/project_version.cmake)

if(MSVC)
	set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -D_CRT_SECURE_NO_WARNINGS -D_UNICODE -DUNICODE)
	add_compile_options(/wd4267 /wd4244)
	add_compile_options($<$<CXX_COMPILER_ID:MSVC>:/MP>)
else()
	add_compile_options(-Wno-deprecated-declarations)
endif()

if(WIN32 AND NOT MSVC)
	add_compile_options(-fpermissive)
        add_compile_options(-Wa,-mbig-obj)
endif()

find_package(QT NAMES Qt6 Qt5 COMPONENTS Widgets LinguistTools REQUIRED)
find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Core Network Xml Concurrent Widgets UiTools REQUIRED)
find_package(Qt${QT_VERSION_MAJOR} COMPONENTS PrintSupport Svg Qml REQUIRED)
if(${QT_VERSION_MAJOR} GREATER_EQUAL 6)
	find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Core5Compat REQUIRED)
	find_package(Qt${QT_VERSION_MAJOR} COMPONENTS LinguistTools QUIET)
endif()

message(STATUS "building for Qt ${QT_VERSION_MAJOR}")

# Source
add_subdirectory(src)

# qtsingleapplication
add_subdirectory(src/qtsingleapplication)

# main
set(RESOURCE_FILES 
	texstudio.qrc
	symbols.qrc
	completion.qrc
	images.qrc
)
if(APPLE)
    file(GLOB manual
        utilities/manual/build/html/*.html
    )
    set(manual ${manual} utilities/manual/build/html/searchindex.js)
    file(GLOB images
        utilities/manual/build/html/_images/*.png
    )
    file(GLOB static
        utilities/manual/build/html/_static/*
    )
    file(GLOB static_scripts
        utilities/manual/build/html/_static/scripts/*
    )
    file(GLOB static_styles
        utilities/manual/build/html/_static/styles/*
    )
    file(GLOB design_static
        utilities/manual/build/html/_sphinx_design_static/*
    )
    file(GLOB_RECURSE templates
       templates/*
    )
    file(GLOB_RECURSE translation
       translation/*.qm
    )
    file(GLOB_RECURSE dictionaries
       utilities/dictionaries/*
    )

    set(OSX_FILES
        texstudio.icns
        utilities/latex2e.html
        utilities/latex2e.css
		utilities/list.png
		utilities/manual/source/CHANGELOG.md
        ${templates}
        ${dictionaries}
        ${translation}
    )
else()
    set(OSX_FILES "")
endif()

set(TRANSLATION_FILES
	translation/texstudio_en.ts
)
if(${QT_VERSION_MAJOR} GREATER_EQUAL 6 AND CMAKE_BUILD_TYPE STREQUAL "Debug")
    message(STATUS "Generate translation source option.")
    qt6_add_lupdate(texstudio TS_FILES ${TRANSLATION_FILES})
endif()

if(WIN32)
	set(SOURCE_FILES ${SOURCE_FILES} win.rc)
endif()
if(UNIX AND NOT APPLE AND NOT HAIKU)
	add_subdirectory(src/xkb)
endif()

# Hunspell
find_package(Hunspell QUIET)
if(Hunspell_FOUND)
	message(STATUS "Using system Hunspell")
	set(HUNSPELL_SOURCE_LINK 0)
	get_filename_component(HUNSPELL_LIB_NAME ${HUNSPELL_LIBRARIES} NAME)
	string(FIND ${HUNSPELL_LIB_NAME} "static" HUNSPELL_IS_STATIC_POS)
	if(${HUNSPELL_IS_STATIC_POS} GREATER 0)
		set(HUNSPELL_SOURCE_LINK 1)
	endif()
	if(${HUNSPELL_SOURCE_LINK} GREATER 0)
		option(HUNSPELL_IS_STATIC "Hunspell is a static library" ON)
	else()
		option(HUNSPELL_IS_STATIC "Hunspell is a static library" OFF)
	endif()
else()
	message(STATUS "Using internal Hunspell")
	add_subdirectory(src/hunspell)
	set(HUNSPELL_SOURCE_LINK 2)
	set(HUNSPELL_IS_STATIC ON)
endif()
if(${HUNSPELL_IS_STATIC})
	set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DHUNSPELL_STATIC)
endif()

# qcodeedit
add_subdirectory(src/qcodeedit)

# debughelper
add_subdirectory(src/debug)

# latexparser
add_subdirectory(src/latexparser)

# symbolpanel
add_subdirectory(src/symbolpanel)

#qtermwidget
if(${QT_VERSION_MAJOR} LESS_EQUAL 5)
    find_package(QTermWidget QUIET)
    if(QTermWidget_FOUND)
        message(STATUS "Using QTermWidget5")
        set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DINTERNAL_TERMINAL)
    endif()
endif()

# QuaZIP
find_package(QuaZip-Qt${QT_VERSION_MAJOR} QUIET)
if(QuaZip-Qt${QT_VERSION_MAJOR}_FOUND)
	message(STATUS "quazip 1.x found")
else()
	find_package(QuaZip QUIET)
	if(QUAZIP_FOUND)
		message(STATUS "Using system QuaZIP")
		set(QUAZIP_SOURCE_LINK 0)
		get_filename_component(QUAZIP_LIB_NAME ${QUAZIP_LIBRARIES} NAME)
		string(FIND ${QUAZIP_LIB_NAME} "static" QUAZIP_IS_STATIC_POS)
		if(${QUAZIP_IS_STATIC_POS} GREATER 0)
			set(QUAZIP_SOURCE_LINK 1)
		endif()
		if(${QUAZIP_SOURCE_LINK} GREATER 0)
			option(QUAZIP_IS_STATIC "QuaZIP is a static library" ON)
		else()
			option(QUAZIP_IS_STATIC "QuaZIP is a static library" OFF)
		endif()
	else()
		message(STATUS "Using internal QuaZIP")
		option(TEXSTUDIO_USE_QT_ZLIB "Use Zlib from Qt" OFF)
		set(BUILD_SHARED_LIBS OFF)
  		set(QUAZIP_INSTALL OFF)
  		set(QUAZIP_USE_QT_ZLIB ${TEXSTUDIO_USE_QT_ZLIB})
  		set(QUAZIP_ENABLE_TESTS OFF)
		set(QUAZIP_BZIP2 OFF)
		set(QUAZIP_IS_STATIC ON)
		set(QUAZIP_SOURCE_LINK 2)
		add_subdirectory(src/quazip)
	endif()
	if(${QUAZIP_IS_STATIC})
		set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DQUAZIP_STATIC)
	endif()
endif()

# Options
if(NOT MSVC)
	option(TEXSTUDIO_ENABLE_CRASH_HANDLER "Enable/Disable internal crash handler" ON)
	if(NOT ${TEXSTUDIO_ENABLE_CRASH_HANDLER})
		message(STATUS "Internal crash handler disabled as you wish.")
		set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DNO_CRASH_HANDLER)
	endif()
else()
	set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DNO_CRASH_HANDLER)
endif()

option(TEXSTUDIO_BUILD_ADWAITA "Enable/Disable internal adwaita-qt style" ON)
if(TEXSTUDIO_BUILD_ADWAITA)
    find_package(Qt${QT_VERSION_MAJOR}DBus REQUIRED)
    set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DADWAITA)
    message(STATUS "integrate adwaita style")
endif()
add_subdirectory(src/adwaita-qt)

option(TEXSTUDIO_ENABLE_TESTS "Enable/Disable internal tests" OFF)
if(${TEXSTUDIO_ENABLE_TESTS})
	message(STATUS "tests enabled.")
	find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Test REQUIRED)
        set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DTESTDATADIR="${CMAKE_CURRENT_SOURCE_DIR}/src/tests/testdata")
	set(HEADER_FILES ${HEADER_FILES}
		src/tests/buildmanager_t.h
		src/tests/codesnippet_t.h
		src/tests/encoding_t.h
		src/tests/execprogram_t.h
		src/tests/git_t.h
		src/tests/help_t.h
		src/tests/latexcompleter_t.h
		src/tests/latexdocument_t.h
		src/tests/latexeditorview_bm.h
		src/tests/latexeditorview_t.h
		src/tests/latexoutputfilter_t.h
		src/tests/latexparser_t.h
		src/tests/latexparsing_t.h
		src/tests/latexstyleparser_t.h
		src/tests/qcetestutil.h
		src/tests/qdocumentcursor_t.h
		src/tests/qdocumentline_t.h
		src/tests/qdocumentsearch_t.h
		src/tests/qeditor_t.h
		src/tests/qsearchreplacepanel_t.h
		src/tests/scriptengine_t.h
		src/tests/smallUsefulFunctions_t.h
		src/tests/structureview_t.h
		src/tests/syntaxcheck_t.h
		src/tests/tablemanipulation_t.h
		src/tests/testmanager.h
		src/tests/testutil.h
                src/tests/texstudio_t.h
		src/tests/updatechecker_t.h
		src/tests/usermacro_t.h
		src/tests/utilsui_t.h
		src/tests/utilsversion_t.h
	)
	set(SOURCE_FILES ${SOURCE_FILES}
		src/tests/codesnippet_t.cpp
		src/tests/encoding_t.cpp
		src/tests/execprogram_t.cpp
		src/tests/git_t.cpp
		src/tests/latexcompleter_t.cpp
		src/tests/latexdocument_t.cpp
		src/tests/latexeditorview_bm.cpp
		src/tests/latexeditorview_t.cpp
		src/tests/latexoutputfilter_t.cpp
		src/tests/latexparser_t.cpp
		src/tests/latexparsing_t.cpp
		src/tests/latexstyleparser_t.cpp
		src/tests/qcetestutil.cpp
		src/tests/qdocumentcursor_t.cpp
		src/tests/qdocumentline_t.cpp
		src/tests/qdocumentsearch_t.cpp
		src/tests/qeditor_t.cpp
		src/tests/qsearchreplacepanel_t.cpp
		src/tests/scriptengine_t.cpp
		src/tests/smallUsefulFunctions_t.cpp
		src/tests/structureview_t.cpp
		src/tests/syntaxcheck_t.cpp
		src/tests/tablemanipulation_t.cpp
		src/tests/testmanager.cpp
		src/tests/testutil.cpp
                src/tests/texstudio_t.cpp
		src/tests/usermacro_t.cpp
	)
else()
	message(STATUS "tests disabled.")
	set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DNO_TESTS)
endif()

option(TEXSTUDIO_ENABLE_MEDIAPLAYER "Enable/Disable the video player in pdf files" OFF)
if(${TEXSTUDIO_ENABLE_MEDIAPLAYER})
	message(STATUS "the video player in pdf files is enabled.")
	find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Multimedia MultimediaWidgets REQUIRED)
	set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DMEDIAPLAYER)
else()
	message(STATUS "the video player in pdf files is disabled.")
endif()

option(TEXSTUDIO_ENABLE_DEBUG_LOGGER "Enable/Disable debug logger" OFF)
if(${TEXSTUDIO_ENABLE_DEBUG_LOGGER})
	message(STATUS "Debug logger is built.")
	set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DDEBUG_LOGGER)
endif()

# poppler

find_package(PkgConfig)
pkg_check_modules(POPPLER QUIET IMPORTED_TARGET poppler-cpp poppler-qt${QT_VERSION_MAJOR})
if(POPPLER_FOUND)
    message(STATUS "Build internal pdf previewer.")
else()
    message(STATUS "Poppler not found, internal pdf previewer disabled.")
    set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DNO_POPPLER_PREVIEW)
    if(WIN32)
        set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -D_WIN32)
    endif()
endif()
add_subdirectory(src/pdfviewer)

# Build texstudio application
add_executable(texstudio ${SOURCE_FILES} ${HEADER_FILES} ${RESOURCE_FILES} ${FORM_FILES} ${OSX_FILES} ${manual} ${images} ${static} ${static_scripts} ${static_styles} ${design_static})
target_link_libraries(texstudio PRIVATE
    Qt${QT_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::Gui
    Qt${QT_VERSION_MAJOR}::Widgets
    Qt${QT_VERSION_MAJOR}::PrintSupport
    Qt${QT_VERSION_MAJOR}::Svg
    Qt${QT_VERSION_MAJOR}::Network
    Qt${QT_VERSION_MAJOR}::Xml
    Qt${QT_VERSION_MAJOR}::Qml
    Qt${QT_VERSION_MAJOR}::Concurrent
    Qt${QT_VERSION_MAJOR}::UiTools
)
if(NOT MSVC AND CMAKE_VERSION VERSION_GREATER_EQUAL "3.16.0")
    target_precompile_headers(texstudio PUBLIC src/mostQtHeaders.h)
endif()
if(${QT_VERSION_MAJOR} GREATER_EQUAL 6)
    target_link_libraries(texstudio PRIVATE Qt${QT_VERSION_MAJOR}::Core5Compat)
endif()
if(TEXSTUDIO_BUILD_ADWAITA)
    target_link_libraries(texstudio PRIVATE Qt${QT_VERSION_MAJOR}::DBus)
endif()

set_source_files_properties(${OSX_FILES} PROPERTIES MACOSX_PACKAGE_LOCATION "Resources")
set_source_files_properties(${manual} PROPERTIES MACOSX_PACKAGE_LOCATION "Resources/html")
set_source_files_properties(${images} PROPERTIES MACOSX_PACKAGE_LOCATION "Resources/html/_images")
set_source_files_properties(${static} PROPERTIES MACOSX_PACKAGE_LOCATION "Resources/html/_static")
set_source_files_properties(${static_scripts} PROPERTIES MACOSX_PACKAGE_LOCATION "Resources/html/_static/scripts")
set_source_files_properties(${static_styles} PROPERTIES MACOSX_PACKAGE_LOCATION "Resources/html/_static/styles")
set_source_files_properties(${design_static} PROPERTIES MACOSX_PACKAGE_LOCATION "Resources/html/_sphinx_design_static")

set_target_properties(texstudio PROPERTIES
    #MACOSX_BUNDLE_GUI_IDENTIFIER texstudio.org
    #MACOSX_BUNDLE_BUNDLE_VERSION ${PROJECT_VERSION}
    #MACOSX_BUNDLE_SHORT_VERSION_STRING ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}
    #MACOSX_BUNDLE_ICON_FILE texstudio.icns

=== utilities/manual/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= ~/.local/bin/sphinx-build
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
texstudio (4.7.2+ds-2build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:24:28 +1100

texstudio (4.7.2+ds-2build2) noble; urgency=high

  * No change rebuild against libpoppler-qt5-1t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:56:53 +0100

texstudio (4.7.2+ds-2build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:17:08 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: texstudio
 Section: editors
 Priority: optional
-Maintainer: Tom Jampen <tom@cryptography.ch>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Tom Jampen <tom@cryptography.ch>
 Build-Depends:
  cmake, debhelper-compat (= 13), furo (>= 2023.07.26),
  libhunspell-dev (>= 1.5.1), libpoppler-cpp-dev, libpoppler-qt5-dev,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export QT_SELECT=qt5
export DEB_VERSION

%:
	dh ${@} --with sphinxdoc

override_dh_sphinxdoc:
	dh_sphinxdoc -X.md.txt -X.rst.txt

override_dh_auto_build:
	dh_auto_build
	cd utilities/manual && SPHINXBUILD=/usr/bin/sphinx-build make html

override_dh_auto_configure:
	dh_auto_configure -- -DTEXSTUDIO_ENABLE_CRASH_HANDLER=OFF \
	-DTEXSTUDIO_ENABLE_MEDIAPLAYER=ON

override_dh_auto_install:
	dh_auto_install

	# moving and renaming icons
	for SIZE in 16x16 22x22 32x32 48x48 64x64 128x128 ; do \
		mkdir -p debian/tmp/usr/share/icons/hicolor/$$SIZE/apps ; \
		mv -f utilities/texstudio$$SIZE.png \
		debian/tmp/usr/share/icons/hicolor/$$SIZE/apps/texstudio.png ; \
	done

	# removing useless files
	rm -f debian/tmp/usr/share/texstudio/CHANGELOG.txt
	rm -f debian/tmp/usr/share/texstudio/CHANGELOG.md
	rm -f debian/tmp/usr/share/texstudio/COPYING
	rm -f debian/tmp/usr/share/texstudio/AUTHORS

	# removing static files included in Debian package furo
	rm -f debian/tmp/usr/share/doc/texstudio/html/_static/scripts/*.js
	rm -f debian/tmp/usr/share/doc/texstudio/html/_static/styles/*.css

	# removing static files included in Debian package python3-sphinx-inline-tabs
	rm -f debian/tmp/usr/share/doc/texstudio/html/_static/tabs.*

	# removing static files not used in the documentation
	rm -rf debian/tmp/usr/share/texstudio/_sphinx_design_static
	rm -f debian/tmp/usr/share/doc/texstudio/html/_static/basic.css
	rm -f debian/tmp/usr/share/doc/texstudio/html/_static/debug.css
	rm -f debian/tmp/usr/share/doc/texstudio/html/_static/skeleton.css
	rm -f debian/tmp/usr/share/doc/texstudio/html/_static/file.png
	rm -f debian/tmp/usr/share/doc/texstudio/html/_static/minus.png
	rm -f debian/tmp/usr/share/doc/texstudio/html/_static/plus.png

override_dh_gencontrol:
	dh_gencontrol -- -Vbuilt:Using="$(shell dpkg-query \
	-f '$${source:Package} (= $${source:Version}), ' \
	-W python3-sphinx-design python3-pygments)"

override_dh_installchangelogs:
	dh_installchangelogs utilities/manual/source/CHANGELOG.md

## texstudio 4.7.3

=== debian/changelog ===
texstudio (4.7.3-2+10.50) unstable; urgency=low

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Thu, 23 Oct 2025 14:43:48 +0000

texstudio (4.7.3-58) unstable; urgency=low

  * update to git rev.  4.7.3

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Fri, 01 Mar 2024 17:53:06 +0100

texstudio (4.7.3-57) unstable; urgency=low

  * update to git rev.  4.7.3rc1-1-g9e80616f2

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Tue, 27 Feb 2024 19:27:09 +0100

texstudio (4.7.3-56) unstable; urgency=low

  * update to git rev.  4.7.3rc1

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sun, 25 Feb 2024 19:58:32 +0100

texstudio (4.7.3-55) unstable; urgency=low

  * update to git rev.  4.7.3beta3

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Fri, 23 Feb 2024 19:53:30 +0100

texstudio (4.7.3-54) unstable; urgency=low

  * update to git rev.  4.7.3beta2-2-g22b0aa9ec

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Mon, 19 Feb 2024 09:51:10 +0100

texstudio (4.7.3-53) unstable; urgency=low

  * update to git rev.  4.7.3beta1-18-gc936e51a7

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sat, 17 Feb 2024 20:00:37 +0100

texstudio (4.7.3-52) unstable; urgency=low

  * update to git rev.  4.7.3beta1-16-gb467815be

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sat, 17 Feb 2024 17:46:52 +0100

texstudio (4.7.3-51) unstable; urgency=low

  * update to git rev.  4.7.3beta1

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sun, 11 Feb 2024 20:16:05 +0100

texstudio (4.7.3-50) unstable; urgency=low

  * update to git rev.  4.7.3alpha1-2-geaca7875c

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Tue, 06 Feb 2024 21:05:24 +0100

texstudio (4.7.3-49) unstable; urgency=low

  * update to git rev.  4.7.2-43-gff50e9c3a

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Tue, 30 Jan 2024 21:16:12 +0100

texstudio (4.7.3-19) unstable; urgency=low

  * update to git rev.  4.3.1-154-gb3894ed1d

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Fri, 14 Oct 2022 21:04:55 +0200

texstudio (4.7.3-18) unstable; urgency=low

  * update to git rev.  4.3.1-141-g54ee787b3

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Fri, 07 Oct 2022 21:17:12 +0200

texstudio (4.7.3-17) unstable; urgency=low

  * update to git rev.  4.3.1-23-ge92adb89e

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Tue, 06 Sep 2022 20:51:30 +0200

texstudio (4.7.3-16) unstable; urgency=low

  * update to git rev.  4.2.3rc1-3-g2587d772f

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sun, 17 Apr 2022 09:25:29 +0200

texstudio (4.7.3-15) unstable; urgency=low

  * update to git rev.  4.2.3rc1

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Fri, 15 Apr 2022 11:22:59 +0200

texstudio (4.7.3-14) unstable; urgency=low

  * update to git rev.  4.2.2-96-g07b27ce4e

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sun, 10 Apr 2022 10:22:50 +0200

texstudio (4.7.3-13) unstable; urgency=low

  * update to git rev.  4.2.2-81-g9ae61d7f1

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sun, 03 Apr 2022 11:36:05 +0200

texstudio (4.7.3-12) unstable; urgency=low

  * update to git rev.  4.2.2-16-g780852337

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Thu, 03 Mar 2022 18:13:15 +0100

texstudio (4.7.3-11) unstable; urgency=low

  * update to git rev.  4.0.2-26-g9fe49c92

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sat, 30 Oct 2021 15:31:54 +0200

texstudio (4.7.3-10) unstable; urgency=low

  * update to git rev.  4.0.2-24-gd2436af1

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sat, 30 Oct 2021 09:12:16 +0200

## texstudio 4.7.4

=== debian/changelog ===
texstudio (4.7.4-2+2.50) unstable; urgency=low

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Thu, 23 Oct 2025 14:20:14 +0000

texstudio (4.7.4-50) unstable; urgency=low

  * update to git rev.  4.7.3-22-gc593eda42

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Tue, 12 Mar 2024 09:17:11 +0100

texstudio (4.7.4-49) unstable; urgency=low

  * update to git rev.  4.7.3-8-gc89c74343

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Mon, 04 Mar 2024 18:32:15 +0100

texstudio (4.7.4-19) unstable; urgency=low

  * update to git rev.  4.3.1-154-gb3894ed1d

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Fri, 14 Oct 2022 21:04:55 +0200

texstudio (4.7.4-18) unstable; urgency=low

  * update to git rev.  4.3.1-141-g54ee787b3

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Fri, 07 Oct 2022 21:17:12 +0200

texstudio (4.7.4-17) unstable; urgency=low

  * update to git rev.  4.3.1-23-ge92adb89e

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Tue, 06 Sep 2022 20:51:30 +0200

texstudio (4.7.4-16) unstable; urgency=low

  * update to git rev.  4.2.3rc1-3-g2587d772f

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sun, 17 Apr 2022 09:25:29 +0200

texstudio (4.7.4-15) unstable; urgency=low

  * update to git rev.  4.2.3rc1

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Fri, 15 Apr 2022 11:22:59 +0200

texstudio (4.7.4-14) unstable; urgency=low

  * update to git rev.  4.2.2-96-g07b27ce4e

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sun, 10 Apr 2022 10:22:50 +0200

texstudio (4.7.4-13) unstable; urgency=low

  * update to git rev.  4.2.2-81-g9ae61d7f1

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sun, 03 Apr 2022 11:36:05 +0200

texstudio (4.7.4-12) unstable; urgency=low

  * update to git rev.  4.2.2-16-g780852337

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Thu, 03 Mar 2022 18:13:15 +0100

texstudio (4.7.4-11) unstable; urgency=low

  * update to git rev.  4.0.2-26-g9fe49c92

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sat, 30 Oct 2021 15:31:54 +0200

texstudio (4.7.4-10) unstable; urgency=low

  * update to git rev.  4.0.2-24-gd2436af1

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sat, 30 Oct 2021 09:12:16 +0200

## texstudio 4.8.0

=== debian/changelog ===
texstudio (4.8.0-2+11.47) unstable; urgency=low

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Thu, 23 Oct 2025 15:06:30 +0000

texstudio (4.8.0-59) unstable; urgency=low

  * update to git rev.  4.8.0

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sat, 11 May 2024 17:53:43 +0200

texstudio (4.8.0-58) unstable; urgency=low

  * update to git rev.  4.8.0rc3

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Thu, 09 May 2024 18:07:32 +0200

texstudio (4.8.0-57) unstable; urgency=low

  * update to git rev.  4.8.0rc2-2-ga7e6b08c2

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Mon, 06 May 2024 20:46:24 +0200

texstudio (4.8.0-56) unstable; urgency=low

  * update to git rev.  4.8.0rc1

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sat, 04 May 2024 11:26:11 +0200

texstudio (4.8.0-55) unstable; urgency=low

  * update to git rev.  4.8.0beta2-5-g39437c69b

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Mon, 29 Apr 2024 20:56:36 +0200

texstudio (4.8.0-54) unstable; urgency=low

  * update to git rev.  4.8.0beta1-12-g119feada9

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Fri, 26 Apr 2024 18:32:18 +0200

texstudio (4.8.0-53) unstable; urgency=low

  * update to git rev.  4.8.0alpha7-12-gd20e3af28

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sat, 20 Apr 2024 19:58:38 +0200

texstudio (4.8.0-52) unstable; urgency=low

  * update to git rev.  4.8.0alpha7

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Wed, 17 Apr 2024 21:35:21 +0200

texstudio (4.8.0-51) unstable; urgency=low

  * update to git rev.  4.8.0alpha3-49-g04ef34b40

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Fri, 12 Apr 2024 22:00:35 +0200

texstudio (4.8.0-50) unstable; urgency=low

  * update to git rev.  4.8.0alpha3

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Mon, 01 Apr 2024 19:34:40 +0200

texstudio (4.8.0-49) unstable; urgency=low

  * update to git rev.  4.7.3-54-gdf47d9b62

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Thu, 28 Mar 2024 20:21:42 +0100

texstudio (4.8.0-19) unstable; urgency=low

  * update to git rev.  4.3.1-154-gb3894ed1d

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Fri, 14 Oct 2022 21:04:55 +0200

texstudio (4.8.0-18) unstable; urgency=low

  * update to git rev.  4.3.1-141-g54ee787b3

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Fri, 07 Oct 2022 21:17:12 +0200

texstudio (4.8.0-17) unstable; urgency=low

  * update to git rev.  4.3.1-23-ge92adb89e

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Tue, 06 Sep 2022 20:51:30 +0200

texstudio (4.8.0-16) unstable; urgency=low

  * update to git rev.  4.2.3rc1-3-g2587d772f

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sun, 17 Apr 2022 09:25:29 +0200

texstudio (4.8.0-15) unstable; urgency=low

  * update to git rev.  4.2.3rc1

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Fri, 15 Apr 2022 11:22:59 +0200

texstudio (4.8.0-14) unstable; urgency=low

  * update to git rev.  4.2.2-96-g07b27ce4e

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sun, 10 Apr 2022 10:22:50 +0200

texstudio (4.8.0-13) unstable; urgency=low

  * update to git rev.  4.2.2-81-g9ae61d7f1

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sun, 03 Apr 2022 11:36:05 +0200

texstudio (4.8.0-12) unstable; urgency=low

  * update to git rev.  4.2.2-16-g780852337

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Thu, 03 Mar 2022 18:13:15 +0100

texstudio (4.8.0-11) unstable; urgency=low

  * update to git rev.  4.0.2-26-g9fe49c92

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sat, 30 Oct 2021 15:31:54 +0200

texstudio (4.8.0-10) unstable; urgency=low

  * update to git rev.  4.0.2-24-gd2436af1

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sat, 30 Oct 2021 09:12:16 +0200

## texstudio 4.8.0+ds

=== debian/changelog ===
texstudio (4.8.0+ds-1) unstable; urgency=medium

  * Merging upstream version 4.8.0+ds.
  * Updating to standards version 4.7.0, no changes needed.
  * Removing no longer present travis-ci directory from excluded files in
    copyright file.
  * Excluding upstream files in copyright file.
  * Mentioning new translations (gsw, sq) in control file.
  * Regenerating 0005-adwaita-qt.patch.
  * Rebuilding upstream tarball without:
    - conflicting debian directory
    - conflicting .gitattributes file
    - conflicting .gitignore file
    - unused .github directory
    - unused src/adwaita-qt directory
    - unused src/hunspell directory
    - unused src/quazip directory
    - unused utilities/FileAssociation.nsh file
    - unused utilities/fonts directory
    - unused utilities/installscript.qs file
    - unused utilities/manual/build directory
    - unused utilities/manual/make.bat file
    - unused utilities/poppler-data directory
    - unused utilities/qxs/doc directory
    - unused utilities/texstudio*.nsi files
    - unused utilities/TexTablet directory
    - unused dictionary and thesaurus files
    - unused qt translations
    - obsolete usermanual files

 -- Tom Jampen <tom@cryptography.ch>  Thu, 16 May 2024 20:58:24 +0200
